Extending Qt Creator Manual | DebuggerRunControl

Extending Qt Creator Manual 4.3.0

# DebuggerRunControl Class

(Debugger::DebuggerRunControl)

Inherits: | ProjectExplorer::RunControl

- List of all members, including inherited members

## Public Functions

void | abortDebugger()
void | debuggingFinished()
void | handleApplicationOutput(const QString &msg, int channel)
void | notifyEngineRemoteServerRunning(const QByteArray &msg, int pid)
void | notifyEngineRemoteSetupFinished(const RemoteSetupResult &result)
void | notifyInferiorIll()
void | quitDebugger()
void | setOutputProcessor(OutputProcessor *processor)
void | showMessage(const QString &msg, int channel = LogDebug)
void | startFailed()
DebuggerStartParameters & | startParameters()

- 24 public functions inherited from ProjectExplorer::RunControl

## Signals

void | aboutToNotifyInferiorSetupOk()
void | requestRemoteSetup()
void | stateChanged(Debugger::DebuggerState state)

- 4 signals inherited from ProjectExplorer::RunControl

### Additional Inherited Members

- 3 protected functions inherited from ProjectExplorer::RunControl

## Member Function Documentation

### void DebuggerRunControl::abortDebugger()

### `[signal]` void DebuggerRunControl::aboutToNotifyInferiorSetupOk()

### void DebuggerRunControl::debuggingFinished()

### void DebuggerRunControl::handleApplicationOutput(const QString &msg, int channel)

### void DebuggerRunControl::notifyEngineRemoteServerRunning(const QByteArray &msg, int pid)

### void DebuggerRunControl::notifyEngineRemoteSetupFinished(const RemoteSetupResult &result)

### void DebuggerRunControl::notifyInferiorIll()

### void DebuggerRunControl::quitDebugger()

### `[signal]` void DebuggerRunControl::requestRemoteSetup()

### void DebuggerRunControl::setOutputProcessor(OutputProcessor *processor)

### void DebuggerRunControl::showMessage(const QString &msg, int channel = LogDebug)

### void DebuggerRunControl::startFailed()

### DebuggerStartParameters &DebuggerRunControl::startParameters()

### `[signal]` void DebuggerRunControl::stateChanged(Debugger::DebuggerState state)